﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Controls.Schedules;
using System.Collections.ObjectModel;

namespace BaseSchedule
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            ObservableCollection<Resource> resources =
                    new ObservableCollection<Resource>();
            Resource resAmanda = new Resource() { Id = "own1", Name = "Amanda" };
            resources.Add(resAmanda);
            Resource resJoe = new Resource() { Id = "own2", Name = "Joe" };
            resources.Add(resJoe);

            ObservableCollection<ResourceCalendar> calendars =
                         new ObservableCollection<ResourceCalendar>(); 
            ResourceCalendar calAmanda = new ResourceCalendar()
            {
                Id = "cal1",
                Name= "Amanda One",
                OwningResourceId = "own1"
            };
            calendars.Add(calAmanda);
            ResourceCalendar calAmanda2 = new ResourceCalendar()
            {
                Id = "cal0",
                Name = "Amanda 0",
                OwningResourceId = "own1"
            };
            calendars.Add(calAmanda2);
            ResourceCalendar calJoe = new ResourceCalendar()
            {
                Id = "cal2",
                Name= "Cal 2",
                OwningResourceId = "own2"
            };
            calendars.Add(calJoe);

            ResourceCalendar calJoe2 = new ResourceCalendar()
            {
                Id = "cal3",
                Name = "Cal 3",
                OwningResourceId = "own2"
            };
            calendars.Add(calJoe2);

            ObservableCollection<Appointment> appointments =
                      new ObservableCollection<Appointment>();
            Appointment app1 = new Appointment()
            {
                Id = "t1",
                OwningResourceId = "own1",
                OwningCalendarId = "cal1",
                Subject = "A: Appointment 1 - Category1",
                Description = "Amanda's first appointment- Activity 1 Category",
                // Convert the date to universal time, because a time zone is not set
                // in this snippet    
                Start = DateTime.Now.AddMinutes(12).ToUniversalTime(),
                End = DateTime.Now.AddMinutes(42).ToUniversalTime(),
                Categories = "Category1"
            };
            appointments.Add(app1);
            Appointment app2 = new Appointment()
            {
                Id = "t2",
                OwningResourceId = "own1",
                OwningCalendarId = "cal1",
                Subject = "A: Appointment 2",
                Description = "Amanda's second appointment ",
                // Convert the date to universal time, because a time zone is not set
                // in this snippet    
                Start = DateTime.Now.AddHours(1).AddMinutes(12).ToUniversalTime(),
                End = DateTime.Now.AddHours(1).AddMinutes(42).ToUniversalTime()
            };
            appointments.Add(app2);
            Appointment app3 = new Appointment()
            {
                Id = "t3",
                OwningResourceId = "own2",
                OwningCalendarId = "cal2",
                Subject = "J: Appointment 1",
                Description = "Joe's first appointment",
                // Convert the date to universal time, because a time zone is not set
                // in this snippet    
                Start = DateTime.Today.AddHours(8).AddMinutes(12).ToUniversalTime(),
                End = DateTime.Today.AddHours(10).AddMinutes(42).ToUniversalTime()
            };
            appointments.Add(app3);
            Appointment app4 = new Appointment()
            {
                Id = "t4",
                OwningResourceId = "own2",
                OwningCalendarId = "cal2",
                Subject = "J: Appointment 2 - Category2",
                Description = "Joe's second appointment - Activity 2 Category",
                // Convert the date to universal time, because a time zone is not set
                // in this snippet    
                Start = DateTime.Now.AddHours(1).AddMinutes(00).ToUniversalTime(),
                End = DateTime.Now.AddHours(1).AddMinutes(42).ToUniversalTime(),
                Categories="Category2"
                 
            };
            appointments.Add(app4);

            ActivityCategoryCollection activityCategories = new ActivityCategoryCollection();

            ActivityCategory actCat1 = new ActivityCategory()
            {
                CategoryName = "Category1",
                Description = "First type of Activity",
                Color = Colors.Red
            };

            activityCategories.Add(actCat1);

            ActivityCategory actCat2 = new ActivityCategory()
            {
                CategoryName = "Category2",
                Description = "Second type of Activity",
                Color = Colors.Yellow
            };

            activityCategories.Add(actCat2);

            dataConnector.ResourceItemsSource = resources;
            dataConnector.ResourceCalendarItemsSource = calendars;
            dataConnector.AppointmentItemsSource = appointments;
            dataConnector.ActivityCategoryItemsSource = activityCategories;



        }
    }
}
